---
id: threefold_foundation_33
title: Bringing Trust is a Human Task 
image_caption: humans
description: Everyone thinks that Satoshi Nakamoto invented blockchain technology when he published his whitepaper in January 2009
date: 2019-08-17
taxonomies:
    tags: [blockchain,technology]
    categories: [twin]
extra:
    author: weynand_kuijpers
    imgPath: bringing_trust.png
---

## A little history on blockchain technology

Everyone thinks that Satoshi Nakamoto invented blockchain technology when he published his whitepaper in January 2009 to make a digital currency the first use case. But it was not!.
<br/>
<br/>
In 1991, Dr. W. Scott Stornetta published a white paper in which he introduced a 'blockchain' as a decentralized database where digital transactions are secured. The research focused on creating a digital hierarchy system that time-stamped and chronologically secured deals in a chain of blocks.  The first considered use case for blockchain technology was to sign and store land deeds digitally. The technology's main characteristics were decentralization and immutability across the process of storing transaction data.
<br/>
<br/>
Satoshi was the person (or part of a group of people) that used these blockchain principles to create the first digital currency - Bitcoin.  The rest is history, from one to many digital currencies based on different creation principles (also referred to as cryptocurrencies, digital coins, etc.) that have been launched and existed for over a decade and have begun to come more into the mainstream purview.

## Decentralization and immutability
 
The two characteristics that have spawned interest in Blockchain technology are decentralization and immutability. In the current world, centralization is everywhere, in most industries, governments, education systems, the world wide web (Internet), and more. All roads these days seem to lead to centralized setups.
<br/>
<br/> 
Examples of centralized setups today:
<br/>

- **Monetary**: Fiat currencies are governed and controlled by central banks.  According to Wikipedia: "A central bank, reserve bank, or monetary authority is an institution that manages a state's currency, money supply, and interest rates. Central banks also oversee the commercial banking system of their respective countries. In contrast to a commercial bank, a central bank has a monopoly on increasing the monetary base in the state and prints the national currency, which serves as the state's legal tender. Central banks also act as a "lender of last resort" to the banking sector during a financial crisis. Most central banks also have supervisory and regulatory powers to ensure the solvency of member institutions, prevent bank runs, and prevent reckless or fraudulent behavior by member banks." So central banks control fiat currencies, and other institutions control central banks.
- **World Wide Web (WWW)**: The World Wide Web is an information space where documents and other web resources are identified by Uniform Resource Locators (URLs), interlinked by hypertext links, and accessible via the Internet. English scientist Tim Berners-Lee invented the World Wide Web in 1989. Although distributed by design, this technology shares and exposes globally developed information and centralized functions crucial to make this World Wide Web work: large (commercial) monopolies have developed centralized search facilities, e.g., yellow pages of the world wide web. These search facilities now control what you find when you are looking for a specific search term.
<br/>
<br/> 
There seems to be a natural "desire" to organize and create different things with central control. Probably the result of our (humankind) social models based on hierarchies and competition. These social models have influenced a lot of what we have built in the industrial and information revolution - creating centralization as the defacto standard of building anything.
<br/>
<br/> 
Now that we have invented a technology that potentially can build different things without a lot of centralization, we need to be careful to use it for the right things.

## Blockchain myths
 
To investigate what potential right use cases exist for blockchain technologies, let spend some time on some of the blockchain myths created in recent years. Similar to other new technologies, blockchains market themselves as a miracle technology that overcomes many (if not any) of the challenges and difficulties that exist in modern-day digital technology. Let's name and investigate a few.
 
### Blockchains are "Super Scalable"
 
Are they? Pure blockchain deployments are not super scalable compared to conventional (server-based) transaction methods.  Current financial blockchain transaction times are very slow compared to any other (currency) transaction technologies out there, being it card transactions like Mastercard, VISA, or money transfers from one bank account to another.
 
### Blockchain technology brings "Impeccable security."
 
Very questionable! While blockchains use cryptographic standards, the methods to ensure privacy is entirely outside of any blockchain standards and implementations. It's every implementer's responsibility to ensure security, therefore mostly handled as it is in the old (conventional?) world.

### When using Blockchains, "Trustworthiness is guaranteed."
 
By what? Blockchain ensures the integrity of transactions and information storage, but otherwise, nothing is inherently trustworthy about any fact stored on the Blockchain. You need to corroborate trustworthiness by ensuring that the parties who store information in the Blockchain are incorruptible and that these facts are correct —just as you would in the rest of the world without using blockchain technology.
 
### Blockchains can manage "Anything."
 
Blockchain is a protocol expressed in code, and this does not define in terms of any standard. There are no standards bodies to provide sanctioned implementation rules or guidance.
<br/>
<br/> 
Many contracts or types of data are better dealt with not on a blockchain: as it is a database that has only write and read functionality, but no update nor deletion is possible, it's even dangerous to post sensitive and personal data on a blockchain, and if not used well, there might raise conflicts with regulations such as GDPR. However, a blockchain can provide consensus where required.

### Smart contracts on the Blockchain can do "Everything."
 
Potentially but maybe not in the way how people see it today. While this is technically true, Blockchain is limited to well-understood and straightforward use cases, without ambiguities. Smart contracts are essentially rocket science. By design, once published (launched), you cannot revise or bug fix them.
 
### Blockchain deployments "If not public - go private!"
 
Not the same thing! Private blockchains are not the answer to privacy or restricted access to information. Purely private/enterprise blockchains might fail to realize any of the benefits of Blockchain.
 
### A new feature, "justifies deploying a new Blockchain."

Community-driven blockchain products are being forked left and right by private players who enhance them in various ways. But only the open-source blockchains with the largest communities and install-plus-adoption bases will persist. The rest are mainly lab experiments, and 99.9 percent of these probably fail.

## Blockchain myths undone
 
So Blockchain is a hyped new technology, but they are not the answer to everything.  Just like with any other technology or tool, you need to consider if the use case considered carefully is appropriate. In the end, it is only neutral characteristics that might be a reason for applying a blockchain or not:
- is there a need for decentralization?
- is there a need for immutability?
<br/>
<br/> 
When considering Blockchain technology for a specific purpose, proper due diligence should happen. This to determine the fit and implementing it if it enhances value for the organization. Humans play a vital role in the decision process and are required to find solutions for the flaws that blockchains bring along.
<br/>
<br/> 
Scalability, security, trustworthiness, functionality are to be added by humans to blockchain deployments.
<br/>
<br/>
This delicate mix of characteristics to be implemented explains why many Blockchain projects don't succeed, despite the rightful claims around the disruptive nature of the technology.
<br/>
<br/>
Two frequent mistakes within the Industry:
- The technology is used as the ultimate technology to solve all the problems described above, and this often leads to failure in the end as Blockchain can't fulfill these promises.
- The technology is used under the false pretext that decentralization is wanted, whereas the real intention is to be in control. Blockchain thinking also requires an entirely different way of thinking than the classical models embedded in the heart of our economies: concentration of power & control and competition need to make room for decentralization and collaboration.
 
### Blockchains are here to stay!
 
With all the hype around blockchain technology and also all the failed initiatives, blockchain technology does allow for digital worlds to exist without centralization.  The information revolution has brought forward a lot of progress and innovation to the people; however, the outcome has also been only a few large organizations controlling all of it.
<br/>
<br/>
Examples are:
- Online search: Google
- Online social: Facebook, Twitter
- Online banking: any large international bank
- Online insurance:  few insurance alliances
- Customer Relationship Management: SalesForce
- Enterprise Resource Management: Oracle, SAP
<br/>
<br/>
All these organizations are leading in their specific digital innovation sector, and some of them even provide services for free.  Nothing is for free in this world and reality -in return for these services, you accept the terms and conditions which allow the companies to use your personal information and user statistics for their benefits and make money from this behavior derived data. 
<br/>
<br/> 
Most industry leaders have become so powerful that there is almost no way around them anymore. You are practically obliged to comply with their terms and conditions to do something useful with the Internet today.
<br/>
<br/> 
The world is awakening and seeking alternatives in which such monopolistic structures do not control data and information.  Blockchain technologies allow new solutions to be built without central governing bodies, creating person-to-person sharing and trading opportunities.

### The combination of people and blockchains is really powerful
 
People remain the best to create decentralized business models that combine Blockchain's strengths with complementary measures to compensate for the weaknesses of the technology. Blockchains are not replacing people. Blockchain technology is just a tool that enhances people's ability to organize themselves around decentralized initiatives that require no central body to govern and control. Therefore, Blockchain is a powerful tool indeed but remains just a tool.
 
### A platform for people to start blockchains
 
What if there would be a platform where the strong points of blockchains (decentralization) could enable people to organize themselves around a random initiative and launch it based on blockchain technology?  Blockchain As a Service (BAAS).
<br/>
<br/>
A platform like that could be powerful to enable people around the world to use and benefit from blockchain technology to organize themselves around digital initiatives, currencies, finance, trade, company, anything. Let's consider a small example:
<br/>
<br/> 
e.g., Sixty people want to start an organization in which they all have an equal stake.  They can organize this by going to the notary and establishing a company with equity and dividing the equity amongst them. They can run quarterly /annual meetings to govern and control the company. They would also need an administration to record decisions and communicate across the organization.
<br/>
<br/> 
What if a platform could launch several blockchain nodes (60, one for each of them) and record all decisions, having all information trackable and traceable for anyone? Blockchain As A Service (BAAS) will enable people to organize themselves independently and create new movements, companies, groups, tribes. This would be a powerful platform allowing many people (and hopefully all people) to organize themselves in new ways, free of the need to have notaries, lawyers, and contracts.
<br/>
<br/> 
However, to build such a platform, compliance is needed with some pretty specific requirements.  Requirements that enable such a platform not to be governed and controlled by a single organization.  
<br/>
<br/>
The requirements for such a platform would sum up as follows:
- A single organization cannot own the platform, it needs to be owned by many
- Such a platform cannot have administrator access.  Administrators access takes away the neutrality and privacy that such a platform requires.
- The platform needs to be very efficient.  To be available to all people globally, it needs to be affordable for anyone.
- The platform needs to be everywhere.  Part of the efficiency is that it should require expensive international access lines - it needs to be able to live everywhere - in well connected (and affordable) areas as well as in less well-connected places.
<br/>
<br/> 
Such a platform is a very different platform than most of what we know today.  It needs to be a platform build by many people, for anyone.  It needs not be governed by a single organization; it needs to be governed by many.
<br/>
<br/> 
People with the right intentions need to collectively build a platform based on hardware owned by many and software that is open and can be inspected and improved by anyone. It is a platform created by people for people using blockchain technology to achieve a genuinely decentralized nature of the platform running Blockchain as a service.  
<br/>
<br/>
People should always remain as the element that brings trust in IT. Blockchains help to register that trust forever.

