---
id: connecting_the_dots
title: "Connecting the Dots: ThreeFold plans to scale globally"
image_caption: "Connecting the Dots: ThreeFold plans to scale globally"
description: ThreeFold started as an idea about ten years ago and is now manifesting itself into the most comprehensive peer-to-peer Internet and cloud infrastructure in the world. The potential of our technology to revolutionize digitization globally is endless and limited only to our collective imagination.
date: 2022-03-29
taxonomies:
    tags: [peer_to_peer, threefold, why]
    categories: [threefold]
extra:
    author: sacha_obeegadoo
    imgPath: connecting_the_dots.png
---

ThreeFold started as an idea about ten years ago and is now manifesting itself into the most comprehensive peer-to-peer Internet and cloud infrastructure in the world. The potential of our technology to revolutionize digitization globally is endless and limited only to our collective imagination. In this blog, we share our ‘glocal’ strategy on how we will build our ecosystem, and the exciting opportunities opening up around the world for those interested to join us!

<br/>

Let’s start with some background. Today’s Internet is global*. However, it is incredibly centralized and vulnerable. ThreeFold aims to decentralize its infrastructure,  empower people to be sovereign, and accelerate the world’s transition towards open-source systems to build a more inclusive and fair future for all. 

<br/>

A peer-to-peer Internet has an undeniable potential in driving a distributed global economy. This is for a number of reasons – including, but not limited to the fact that instead of relying on centralized cloud providers and tech giants to expand the infrastructure that holds humanity’s data and applications, the peer-to-peer Internet allows any global citizen to participate in the Internet economy by connecting a computer from their house or office to build the decentralized future they want to live in.  Also, while half of the world takes Internet access for granted, it remains  unavailable to the other half.

<br/>

*So then is the Internet really “global?”

## Empowering sovereignty and economic freedom

Billions of people around the world still remain without access to the Internet or financial services today. Yet many of them have access to electricity and network, and some even already own a mobile phone that could help them access the Internet and financial services. But without fair and reliable connectivity, they remain in the dark. ThreeFold holds an answer here.

<br/>

The Internet is a human right but it is unequally distributed around the world. ThreeFold enables the realization of an open-source, peer-to-peer Internet that can scale to anywhere electricity and network exists. Everyone deserves access to the Internet, education and financial services to equally learn, partake and succeed, regardless of where they were born, their gender or their socioeconomic status.

## So how can ThreeFold go truly global?

Going global is complicated and even more these days with the evolving regulatory and socio-economical landscapes. Thus, it’s important for us to be on the ground. So we will work with our community and ecosystem on one hand, and with governments and regulators on the other hand, for all of us to meet in the middle. We will always aim to be the most transparent, trusted, inclusive and decentralized Internet solution wherever we go. 

<br/>

A first step in our strategy is to support the growth of local communities across regions to build local presence on the ground. The only way for a truly decentralized Internet to emerge is to involve people in the building process of it, both on a hardware and software level. We are in the midst of kicking off an extensive global expansion strategy, with grants and hiring plans to grow the ThreeFold Grid across markets and ultimately build strong local communities that can serve potential customers locally. 

<br/>

Together with these communities, we will develop and grow the ThreeFold Grid, establish our presence with local developers, grow our ecosystem, and collaborate closely with our network.

<br/>

Throughout the last year we have made incredible connections across industries including Blockchain, Web 3.0, IoT, Real Estate and Supply Chains.

<br/>

Every region is unique and we cannot take the same approach wherever we go. This is where the idea of ‘glo-cality’ comes in – a global concept applied locally with regional context.

## Global Concept: Launch of educational campaigns around the importance of a peer-to-peer Internet

ThreeFold’s mission is to realize the promise of an open-source, peer-to-peer Internet owned by humanity, and we take this commitment heartedly. The first objective of our global strategy is to allow anyone who wants to expand the peer-to-peer Internet to their neighborhood to be able to find compatible computers and how to get started. 

<br/>

For a multi-region approach to scaling the ThreeFold Grid to arise, a decentralized 3Node marketplace will be launched in April 2022. This will allow communities to access a simple, decentralized and certified platform to buy and sell compatible computer hardware locally. As the ThreeFold Grid expands, we will look to go local, as shared below:  

## Applied locally: Grow localized ecosystems of developers and enterprises  to productize the infrastructure

Most countries are looking for new Internet infrastructure alternatives to protect their sovereignty. ThreeFold’s peer-to-peer Internet supports any current and emerging technological trend in a way that is fully compliant with any local digital laws and regulations. For developers and  enterprises, this includes a peer-to-peer Infrastructure as a service which offers a distributed, quantum-safe storage and a decentralized edge computing platform to host any current or future technology. For institutions, we will offer a suite of advanced infrastructure set-ups for a sovereign and unbreakable Internet infrastructure. 

<br/>

Decentralized financial and legal systems are being created along with industry experts from around the world to deliver on cross-border financial freedom, education and Internet access. Along with a strong ecosystem, we are planning to offer a full suite of advanced technological, financial and educational solutions to countries, especially in the global south to bring access to education, Internet and financial inclusion to more than a billion people by 2030.

<br/>

At ThreeFold, we’re committed to building and expanding the open Internet that is owned by humanity. We are always looking at expanding our ecosystem with the world’s best thinkers and talent ready to be at service of a mission that unites us all. If you think this could be you, we’re waiting for you! 

<br/>

Have you read our [manifesto](https://threefold.io/blog/realizing_the_promise/) yet? Join the peer-to-peer [movement](https://t.me/threefold) today!

<br/>

*Apply for an open position [here](https://threefold.io/careers) and bring your proposals to the community-led [forum](https://forum.threefold.io/t/about-the-join-the-fold-category/2570).*
