---
id: data_leaks
title: It's Time We Stand Up For Our Data
image_caption: stand up for our data
description: As consumers, we should be able to trust that our data is truly safe and secure. And today, we cannot. It's time we stand up for what is ours.
date: 2021-06-17
taxonomies:
    tags: [sovereignity, peer_to_peer]
    categories: [threefold, cloud, twin]
extra:
    author: sam_taggart
    imgPath: data_leaks.png
---

Do a quick search for "data leak" on your search engine of choice, and you'll likely see headlines like this:
<br/>
<br/>

- Personal Details of Over 3.3M Volkswagen Customers Exposed in Data Leak
- Billions of emails and passwords appear in largest data leak ever
- Here's How the IRS Could Have Prevented the Tax Data Leak
- Time to Change Your Password: Tips on Protecting Yourself from Online Scams
<br/>
<br/>

Week after week, month after month, year after year, companies are being hacked, private consumer data is being compromised and released, and we somehow begin to think that this is the reality of our world, something we just have to deal with.
<br/>
<br/>
Internet security, cyber attacks, and data leaks are a global threat – and increasingly so as the world moves more digital, and smart people with malicious intent try to take advantage. But this is not normal, nor should it be. As consumers, we should be able to trust that our data is truly safe and secure. And today, we cannot. It's time we stand up for what is ours.
<br/>
<br/>
That's where ThreeFold comes in.
<br/>
<br/>
Many of today's issues around cyber security and data privacy come from the lack of innovation in the IT industry over the last decades and the reliance on centralized hyper-scale data centers. ThreeFold has disrupted this model in a few ways:
<br/>
<br/>
First, we started from the ground up. Some ThreeFold co-founders have been working in the cloud & storage space for over two decades, having built components of the cloud and Internet still used today. They knew that the only way to have a truly secure and data sovereign Internet was to rebuild the architecture and the technology components from scratch. So they did. A few years down the line, we've created a new operating system, a smart contract for IT, and a peer-to-peer network that can be scaled to anywhere by anyone.
<br/>
<br/>
Second, we removed people from the equation. IT has become so overly-complex that people are required in order to maintain it. Because of this, "backdoors" are needed to allow these gateholders to enter the systems and make necessary fixes. But this can lead to human error, and also allows people with malicious intent to make their way in as well. With Autonomous IT powering the ThreeFold Grid, the technology runs and heals itself, and drastically reduces the opportunity for humans to interfere.
<br/>
<br/>
And lastly, your data is owned by you. Rather than relying on centralized data centers, the ThreeFold Grid is an Internet grid made up by independent ThreeFold "Farmers" from around the world who plug in capacity from their home or office. While they own the hardware, they do not own the data inside. User data is stored across multiple devices, and proprietary data storage algorithms ensure that the data cannot be retrieved by anyone besides the user – not the farmer, and not even us.
<br/>
<br/>
As Einstein said, "We can't solve our problems with the same level of thinking that created them."
<br/>
<br/>

We have a lot more information in [our wikis](https://library.threefold.me/info/threefold#/) about the technology, but what we want to emphasize here with you is that we don't have to accept data leaks and hacking. There is an answer to the cybersecurity issues the world is facing. And that answer is ThreeFold.
