---
id: how_it_works
title: ThreeFold's Long Story Short
image_caption: technology
description: The truth is that ThreeFold is a big project. Here we will try to make things a little simpler for you.
date: 2020-05-15
taxonomies:
    tags: [technology,threefold,why]
    categories: [threefold]
extra:
    author: sam_taggart
    imgPath: how_it_works.png
---

## So, ThreeFold is building a new internet. Why?

We strongly believe that a new internet is needed for our planet and for humanity. "If not now, when? If not us, who?"
<br/>
<br/>
What it boils down to is that currently the internet is only available to about 1/2 of the world (meaning billions are being left behind), it is centralized (a handful of large corporations own and profit off of our data), and it uses up to 10% of the world’s energy consumption. So, we’re building a new (peer-to-peer) internet that empowers equality (access), autonomy (data ownership, for example), and sustainability (reduces energy consumption). These values drive us forward.

## How does it work?

Everything on the internet – websites, apps, photos, videos, etc – uses up capacity and is stored in huge data centers owned by big companies, mainly in North America, Europe, and some in Asia. In our solution, centralized data centers are replaced with a grid of “nodes” distributed around the world.
<br/>
<br/>
These nodes are owned by [ThreeFold Farmers](https://library.threefold.me/info/threefold/#/what_is_farming) – but only the physical hardware – the data inside of the nodes belongs to the people or organizations who put it there. So, “farmers” plug in hardware and start to create capacity that can be used by people.
<br/>
<br/>
Farmers come in all shapes and sizes. Some farmers run small data centers while others simply run a node out of their living room.
<br/>
<br/>
When Farmers connect active hardware (add capacity) to the ThreeFold Grid, ThreeFold Tokens are created. Farmers can then sell those tokens to people who want to use capacity (e.g. a developer that wants to build or host a website, or a person who wants to store some photos). More on tokens down below.

## Seems quite lofty. How will you build it?

It’s true that rebuilding the internet is not so simple. But a lot of infrastructure has already been built and the technology is quite advanced. Over the past 2+ years (as of May 2020), independent ThreeFold Farmers have already plugged in more than 40,000,000 GigaBytes worth of storage and 15,000 CPU Cores across 21+ countries. That might not mean a lot to non-technical folks but it is quite a significant amount.

## 21+ countries? What happened to equality?

As far along as we are, we still have work to do. One of our biggest goals in the near future is to expand the grid to Africa, South America, and parts of Asia where currently the Internet is too expensive or not available. Currently, we farming is incentivized around these key geographies.

## And what do you mean by peer-to-peer?

Peer-to-peer means no middlemen – direct exchange of information and/or value between equal participants. Peer-to-peer means decentralization – breaking away from pyramid-based systems, greed-based systems – and putting **people** back in the center of their own (digital) lives.

## So how can I access / use your internet today? What can I do on it?

By June, some of the first experiences will be live. This includes file storage and communication tools and a virtual browser, all with the advantages of being more sustainable for our planet and with full control of your own data. And over time, more and more experiences will come to this internet. We’ll be updating here and on our communication platforms as they come. But don’t worry, as a user it doesn’t change much – no coding required. :)

## Will [enter website or app here] be available on your internet?

There are some tremendous reasons for a website or app to use our internet, but that will really be up to the website or the app. In the end, we are providing a responsible solution for responsible people and organizations. We would love to host anybody who believes in what we are doing!

## How are you making sure it’s safe?

Hacking has become a part of life and is almost impossible to avoid in the current systems – they are too complex and require too many people to operate. This results in less security which results in lots of security breaches. We took a look at the existing Internet (seven layers) and simplified it down to three layers. By simplifying the architecture and instead creating technology that is self-driving & self-healing, we removed the human requirement and therefore vastly minimized the possibility for hacking or human error. Then we also developed a storage algorithm which makes it such that if some of the information gets lost or stolen (somehow) or if some hardware goes down, it is all retrievable. Long story short, we flipped the existing system on its head.

## What about the data ownership part?

That has a bit to do with the security as well. Since you own your data, you decide who gets access. Which means your data isn’t just out “there” for the taking. Basically, we put you at the center of your digital life, where the applications and experiences you use serve you, not the other way around.

## And how is it better for the planet?

There are a few reasons for us being more sustainable. Data centers are super unsustainable, so the simple (but incomplete) answer is “no more huge data centers.” But if you want more detail:
<br/>
<br/>
- We use up to 3x less hardware for the same output, and using hardware at least 2x longer while maintaining good performance
- Having capacity everywhere, local to where users are – this reduces network requirements (and can even improve security)
- Using new algorithms (e.g. the one mentioned above for storage) which have dramatic efficiency improvement
- Re-using hardware where possible – let’s not throw away

## How much will it cost?

In the end we want to provide sustainable access to the internet and all of its solutions for less than a dollar per month per person but for now the cost will depend on what you choose to do. Certain experiences will cost money. Storing photos or videos, for example. But all at a fair price.

## Speaking of money – so what’s up with the ThreeFold Token?

As we mentioned above, tokens are generated when ThreeFold Farmers adds capacity to the ThreeFold Grid.

Essentially, the ThreeFold Token is the medium of exchange on the new internet. So, if a developer wants to build something (e.g. a website or an app) or a user wants to store something (e.g. photos), he/she/they use(s) ThreeFold Tokens.

## Need more answers?

We hope that helps explains things. Obviously there is [a whole wiki](https://library.threefold.me/info/threefold/#/) to dive in to. If you don’t find what you’re looking for, please ask us on our [forum](https://forum.threefold.io)!
<br/>
<br/>
*Photo by Nong Vang on [Unsplash](https://unsplash.com/photos/9pw4TKvT3po).*
