---
id: planet_first_people_first
title: "Planet first. People first."
image_caption: Planet first. People first.
description: Together with our community and partners, we're taking action and making productive choices for our planet and humanity.
date: 2022-07-05
taxonomies:
    tags: [threefold, why]
    categories: [threefold]
extra:
    author: hannah
    imgPath: planet_first_people_first.png
---

Today, the world is facing an unprecedented number of crises and disruptions stemming from the COVID-19 pandemic to climate change to Russia’s invasion of Ukraine. From supply chain disruptions and rising inflation to shortages in food and energy supply, serious challenges lie ahead.

<br/>

We have always believed that technology can help some of humanity’s greatest challenges – for example by providing the foundation for an interconnected world that can enable abundance to spread. ThreeFold has focused on developing a more reliable Internet which can meet the demands and challenges of the future. A [more sustainable](https://threefold.io/blog/planting_the_seeds/) Internet that uses [less energy](https://threefold.io/blog/for_our_planet/) and is offsetting its carbon emissions by supporting tree planting and other impact initiatives. And an Internet that empowers us with digital [sovereignty](https://threefold.io/blog/threefold_data_sovereignty/) while providing high levels of [privacy and security](https://forum.threefold.io/t/critical-security-updates-for-apple-and-google-underline-need-for-secure-it-ecosystem/1271?u=hannahcordes). One that is [inclusive](https://threefold.io/blog/more_inclusive_internet/) by being more affordable and accessible.

<br/>

Our [mission](http://mission.threefold.me/) is planet first and people first. 

## The planet and people are at the heart of our movement

Without our planet, humanity has no home. Without our planet, we can’t survive. The fate of humanity depends on the planet’s health. We need a healthy planet for humanity to thrive. And our planet needs regenerative solutions at a large scale that combat climate change and the collapse of biodiversity. That includes the Internet and everything that lives on top.

<br/>

ThreeFold aims to deliver on our promise of providing better solutions for our planet and people through our technology. With this approach, we’re taking action and making productive choices for our planet and humanity. Our [journey](https://threefold.io/blog/four_phases_of_threefold/) is shaped by the determination to drive the regeneration of our planet and to enable a better life for people.

<br/>

*“Today billions of people don’t have access to the internet because of their station of birth. On one hand, it is unfair to them, and on the other, the world is losing billions of inventors and talents. Our internet can scale to anywhere electricity and network exist to provide access to the internet, education, and financial inclusion to everyone.” – [Kristof de Spiegeleer](https://medium.com/authority-magazine/the-future-is-now-kristoff-de-spiegeleer-of-threefold-on-how-their-technological-innovation-will-7acc0e51c365)*

<br/>

Our approach is also based on community and connection. We’re determined to build better, sustainable and inclusive systems for the planet and people – from realizing the Internet of Internets on a global scale to reimagining business, governance, finance, education and more in order to provide better alternatives for people, enterprises and governments. And we are in dialogue and partnership with global leaders who share a similar vision.

<br/>

Here are three examples of the impact we’re creating together:

<br/>

* Together with [Take Action Global](https://threefold.io/blog/planting_the_seeds/), we’re offsetting the ThreeFold Grid’s emissions three times through planting and protecting trees

<br/>

* Together with [IETSA](https://threefold.io/news/post/threefold_ietsa/), we’re making the decentralized Internet more accessible in underserved South African communities while also providing education in blockchain and Web 3.0 technologies

<br/>

* Together with [Solidaridad](https://forum.threefold.io/t/solidaridad-revival/2158?u=hannahcordes), we’re working on the Fair Data initiative to enable a fair data economy

## Driving change towards the future we want to live in

We strongly believe in the ThreeFold Law which states that any good you do will return to you threefold in this lifetime. By making our technology actionable, we energize a collective approach towards a single mission – empowering humanity while regenerating our planet.

<br/>

We’re aware that this mission is a big one. We’re aware how aspirational it is. We’re aware that we are not perfect. And we realize that changing the world for the better requires patience and community. We’re in it for the [long run](https://threefold.io/blog/four_phases_of_threefold/) and we’re in it together.

<br/>

*“It's an honor every day to wake up and be a part of a global movement of people who are trying to build a better Internet for humanity that can uplift and empower.” – [Adnan Fatayerji](https://threefold.io/news/post/threefold_cybernews/)*

<br/>

ThreeFold is more than a company or a project. ThreeFold is a global movement consisting of like-minded individuals and partners who share these values and vision. A movement united in our shared beliefs in open source, peer-to-peer, equality and inclusion. By coming together to build a better Internet, we can create the foundation for a better world. We’re incredibly proud of the ThreeFold community and ecosystem. This beautiful community consists of open-minded, passionate and determined people from all around the world, just like you. We’re dreamers, creators, builders and change makers.

<br/>

<iframe width="560" height="315" src="https://www.youtube.com/embed/vK78zZT85_4" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

## We are part of the solution

There are many great projects and organizations out there that also follow the planet-first people-first philosophy. Like [Ecosia](https://www.ecosia.org/?c=en) – the search engine that plants trees and thereby positively impacts ecosystems, communities and our planet. Like [ShareTheMeal](https://sharethemeal.org/en/index.html) – the world’s first app against global hunger that enables you to ‘share the meal’ with a child in need with one simple tap on your phone. Like [Patagonia](https://www.patagonia.com/home/?utm_source=actionworks&utm_medium=referral&utm_campaign=global_nav&utm_content=link) – a designer of outdoor clothing and sports gear that turned into an environmental activist. And like so many others.

<br/>

Together, we can achieve the extraordinary. The ThreeFold movement is building our own future through the [Internet of Internets](https://threefold.io/blog/internet_of_internets/) – an Internet that will be made up of hundreds, thousands, and ultimately millions, of interconnected local Internets that enables us all to directly connect and exchange without limitations or intermediaries. No matter what you do to support planet-first people-first movements, thank you. In doing so, you’re making a difference. You’re contributing to making the world a better place.

<br/>

With ThreeFold, anyone anywhere can make a difference. For a better life, for a better future.

<br/>

If not us, who? If not now, when?

<br/>

*If you’re new to ThreeFold and don’t know you to contribute best, here are a few ways to take action:*

<br/>

* *[Join](https://t.me/threefold) this growing movement*
* *[Buy](https://marketplace.3node.global/) or [build](https://library.threefold.me/info/threefold#/tfgrid/farming/threefold__diy_guide) a 3Node and be the Internet*
* *[Buy](https://library.threefold.me/info/threefold#/tokens/threefold__how_to_buy) TFT*
