---
id: ethical_design_manifesto
title: Creating solutions that respect humanity and the planet
image_caption: humanity
description: Respect Human Rights, Respect Human Effort, Respect Human Experience
date: 2017-06-06
taxonomies:
    tags: [why]
    categories: [threefold,why]
extra:
    author: kristof_de_spiegeleer
    imgPath: ethical_design_manifesto.png
---
<br/>
<br/>
Organizations should always respect human rights, human effort and human experience. To enable a sustainable and prosperous civilization and world, we need a strong value system.
<br/>
<br/>
*Ideas and texts were inspired from https://ind.ie/ethical-design/. We added our own twist to it.*

## Respect Human Rights

- **Sustainability**: It is important for a very simple reason: we cannot maintain our quality of life as human beings, the diversity of life on our planet, or Earth's ecosystems unless we embrace and protect its balance.
- **Equality**: Everyone should have a right to learn, dream, partake and succeed. Equal access also means affordability, not ownership by big greedy companies.
- **Decentralization**: To better distribute power, value and opportunities, we need more decentralization. Technologies and solutions should be available everywhere to improve equality and sustainability. 
- **Openness & Interoperability**: Allows technologies to work together in an open way, without limitation, and therefore expands the possibilities for innovation and sharing.
- **Accessibility**: Whatever the location or situation, people should benefit from easy and fast access to information and solutions.
- **Security & Privacy**: Protect people from being put in situations of danger or exploitation. People should be empowered to be independent and they should be the sole owners of their experiences.

## Respect Human Effort

- **Reliability**: Make sure technologies are reliable and last longer.
- **Simplicity**: We need to keep things simple: no unnecessary complexity - less is more.
- **Transparency**: Let people and companies work together in a 100% transparent way.
- **Collaboration**: It's all about the greater picture. We are stronger together and have to help each other in reaching our common visions.

## Respect Human Experience

- **Ergonomy**: Products and solutions should empower productivity, safety and comfort, while reducing human error.
- **Inclusiveness**: Design should always be global and inclusive. We are all equal.
- **Design**: Products should be visually appealing and should achieve it's purpose.
- **Transparency**: Organisational records and strategies should be accessible to everyone.
<br/>
<br/>
*Photo by Renee Fisher on Unsplash.*
