---
id: internet_destroying_brain
title: Response - The Internet is Destroying Our Brains, but We Can't Quit
image_caption: The Internet is Destroying Our Brains
description: A response to a poignant article written by P.E. Moskowitz on the dangers of today's Internet.
date: 2021-07-01
taxonomies:
    tags: [why, peer_to_peer, digital_twin, technology]
    categories: [threefold, twin]
extra:
    author: sam_taggart
    imgPath: internet_destroying_brain.png
---

The other day, I came across [a poignant article](https://africa.businessinsider.com/strategy/the-internet-is-destroying-our-brains-but-we-cant-quit-its-a-factory-were-forced-to/z4drxf5) written by [P.E. Moskowitz](https://twitter.com/_pem_pem) entitled "The internet is destroying our brains, but we can't quit. It's a factory we're forced to work in without any pay." As someone who started out in social media advertising (read: trying to capture peoples' attention to get them to buy or do something often by using their data against them), worked in influencer marketing in its early days, and has now gone 180º to help to build a decentralized Internet by people and for people (where people are digitally sovereign), it really resonated with me.
<br/>
<br/>
It's commonly-discussed (see: The Social Dilemma) and quite obvious if you use or have used the Internet and specifically social media, that we are addicted to being online. In fact, we're actually even chemically triggered by social media and other online experiences. Said Jeff Orlowski, director of The Social Dilemma, "Social media powerhouses like Facebook, Twitter and Instagram are “designed” to exploit users’ brain chemistry in order to keep them glued to their phones... They were designed to get us to come back. It’s to figure out how to reverse-engineer what we’re most vulnerable to, most susceptible to, to come back. And what we are seeing is a dopamine response in the brain."
<br/>
<br/>
In their article, Moskowitz points out how the Internet is not just like a toxic relationship or junk food, where you can leave or stop yourself from eating, rather it's "an all-encompassing technology, our main economic engine, the tool we are forced to use to meet others and mediate our entire lives."
<br/>
<br/>
The truth is that the Internet *has* become more than an addiction, it's become a necessity to keep up in today's increasingly-digital world. Yet the Internet is not even accessible to about 40% of the global population – and for those who *do* have access, it does not serve us. It's actually the other way around. We are the product.
<br/>
<br/>
"We produce the memes, tweets, posts, and pictures that keep us tethered to the internet, and then that content is monetized in the form of advertisements - revenue users help produce, but do not usually see a penny of," says Moskowitz. We have become cogs in a machine that uses us for its own benefit. Or as they call it, "a factory we're forced to work in without any pay."
<br/>
<br/>
"Our entire society has been reformulated around the internet, much like it was centered around the factory during the Industrial Revolution. If there's an Amazon Web Services outage, much of our society stops functioning. Without the internet, we couldn't find jobs, or, at this point, even friends."

## So, what do we do?

Moskowitz is correct in their thinking when they say the following, "A solution to our current internet-use crisis cannot come at an individual level anymore than one person quitting their job would solve capitalism's poor working conditions. If we want any hope of making the internet less stressful, less back-breaking, and more fulfilling, content creators, gig economy workers, and even casual internet users need to push for a systemic solution."
<br/>
<br/>
Simply pending less time on the Internet or using certain apps instead of others is not going to make much of a difference in the end. There are billions of people on the Internet today to make up for the loss. And the underlying system is still massively flawed and can be manipulated. Bold, widespread, systemic change is indeed what we need. A revolution, perhaps.
<br/>
<br/>

As pointed out recently [in TGDaily](https://tgdaily.com/web/6-dfinity-threefold-are-leading-an-internet-decentralization-revolution/), ThreeFold is that revolution.
<br/>
<br/>
ThreeFold is the engine for a *new* Internet, driven by a movement of people who care about a better future. With more than two decades of direct knowledge of the Internet and Cloud industries, we flipped today's Internet on its head. We rebuilt the architecture from the ground up, with people and our planet at the center of our focus. Instead of relying on centralized hyper-scale data centers owned by a few private corporations, we provide the opportunity for people across the world with access to a network connection and electricity to plug in hardware and provide local capacity, and earn income while they are at it.
<br/>
<br/>
In our model, we prioritize simplicity, security, efficiency, and privacy. The technology runs autonomously, removing human error and malicious intent from the equation. Connections are peer-to-peer, meaning no middlemen get in the way of our content, our transactions, or other data. And importantly, people own their data. What we produce is ours. We decide where it gets stored and we decide who can access it (and for what value). In fact, it's basically impossible from a technical standpoint for anybody to access someone's data without their consent – including us.
<br/>
<br/>
On top of the technology, we provide experiences. People will have one single log-in and verifiable identity, and gain access to the tools (experiences) they need for communication and for work. As we are a decentralized movement, soon, anybody will be able to build anything they like on top of ThreeFold – but it is our vision and belief that the Internet should not be addictive. Rather a tool for all of humanity to connect, learn, and prosper – with people at the center, not treated as products.
<br/>
<br/>
To the author's concern, content creators and gig economy workers would clearly benefit from such a digital world as well. Of course services like Airbnb or Uber or Etsy or even YouTube provide value as they are crowded marketplaces both for providers and customers. That said, they profit from people, typically on both sides of the transaction. In a peer-to-peer world, we can create fair and equal marketplaces where the content or product is owned completely by the person listing it there and the value goes 100% directly from person to person. This means no hidden fees, no uncertainty over ownership, no censorship or control from a third party. Of course it's not all predetermined at this moment, but what I can say is that our biggest concerns in what we create are and will always be fairness and equality (and sustainability / regeneration). So, together, we will bring all of this tolife in the best interest of people.

## Join the Movement

In their article, Moskowitz concluded that "perhaps it is only a matter of time before enough of us say 'enough,' and protest the internet's totalizing grasp on our labor and our lives." But where does protest lead without a viable solution? Maybe this is the type of systemic change Moskowitz could imagine and could stand behind. It's not a band-aid approach, rather a total re-imagination and re-execution of today's flawed and manipulative Internet. It's an Internet by people, for people. Instead of working in the factory, we become the factory co-owners – and the Internet works for us.
<br/>
<br/>
If you believe in what we are building, we invite you to join the movement:
<br/>
<br/>

- [Become a farmer](https://threefold.io/farming)
- [Stay updated on ThreeFold News](https://t.me/threefoldnews)
- [Join the conversation](https://t.me/threefold)
- [Test the technology](https://t.me/threefoldtesting)
- [Follow us on Twitter](https://twitter.com/threefold_io)
- [Buy the ThreeFold Token](https://library.threefold.me/info/tfgrid/#/threefold__how_to_buy_and_sell)
<br/>
<br/>

We are a growing group of people from around the world who not only believe what many of you believe, but we are doing something about it. Let's grow the People's Internet, together.
